edbrowse (3.7.7-5) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * source/lintian-overrides: Update dropping warnings.
  * lintian-overrides: Drop outdated override.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:07:01 +0100

edbrowse (3.7.7-4) unstable; urgency=medium

  * patches/pcre2: migrate to pcre2 (Closes: #1000056).
  * control: Build-depend on libpcre2-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Dec 2021 13:13:54 +0100

edbrowse (3.7.7-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update lintian overrides.
  * watch: Update.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Fix day-of-week for changelog entry 3.4.8-1.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:45:11 +0200

edbrowse (3.7.7-2) unstable; urgency=medium

  * rules: Fix reproducibility by adding reproducible=+fixfilepath.
  * clean: Clean copied manpage.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:11:53 +0100

edbrowse (3.7.7-1) unstable; urgency=medium

  * New upstream release.
    - patches/no-common: Upstreamed.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * Bump debhelper from 11 to 12.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Dec 2020 12:33:17 +0100

edbrowse (3.7.6-2) unstable; urgency=medium

  * patches/no-common: Fix build with gcc-10 (Closes: Bug#957163)
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:42:50 +0200

edbrowse (3.7.6-1) unstable; urgency=medium

  * New upstream version.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 19:51:39 +0100

edbrowse (3.7.5.1-1) unstable; urgency=medium

  * New upstream version.
    - patches/ssl: Fixed upstream.
  * Update Uploaders list (Closes: Bug#918195)
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * tests/control: Set test as superficial.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Sep 2019 14:46:00 +0200

edbrowse (3.7.4-3) unstable; urgency=medium

  * tests/control: Touch .ebrc to fix test.
  * patches/ssl: Fix build with newer libssl.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 01:12:42 +0100

edbrowse (3.7.4-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Oct 2018 23:32:24 +0100

edbrowse (3.7.4-1) unstable; urgency=medium

  * New upstream release
  * source/lintian-overrides: Ignore startwindow.js long line.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2018 13:23:35 +0200

edbrowse (3.7.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Apr 2018 02:43:01 +0200

edbrowse (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Minor changes to the packaging

 -- Paul Gevers <elbrus@debian.org>  Tue, 27 Feb 2018 09:00:29 +0100

edbrowse (3.7.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

  [ Paul Gevers ]
  * New upstream release (Closes: #875706)
  * Drop fix-spelling-errors.patch (applied upstream)
  * Upstream migrated from libmozjs to duktape
  * Convert packaging from SVN to GIT and move to a11y archive

 -- Paul Gevers <elbrus@debian.org>  Fri, 27 Oct 2017 12:52:02 +0200

edbrowse (3.6.3-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * Team upload
  * New upstream release
  * Add fix-spelling-errors.patch
  * Enable hardening

 -- Paul Gevers <elbrus@debian.org>  Sat, 15 Jul 2017 21:16:42 +0200

edbrowse (3.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #825948)
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:15:41 +0200

edbrowse (3.6.0.1-1) unstable; urgency=medium

  * New upstream release
    - patches/ebrc-fr: Merged uptsream.
    - patches/fix_privacy-breach-generic_on_obsolete_icon.patch: Merged
    upstream.
    - debian/install: Drop, upstream now installs binaries.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 18:20:37 +0100

edbrowse (3.6.0-1) unstable; urgency=medium

  * New upstream release
    - control: Add cmake and libtidy-dev build-depend.
    - patches/nomake: Drop upstream makefile, so dh_auto_build picks up
    - patches/tidy: Fix detection of libtidy.
    - patches/ebrc-fr: Fix sample ebrc format.
    - docs: Drop installing philosophy*, removed upstream.
    - examples: Drop installing setup.ebrc, removed upstream.
    building with cmake.
    - rules: Export path to libtidy.
  * patches/ssl_certs: Set path to Debian certificates file by default
    (Closes: #646802)
  * watch: Add gpg signature mangling to main site URL too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Dec 2015 19:14:12 +0100

edbrowse (3.5.4.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/fix_url_in_manpage.patch: Merged upstream.
    - patches/fix_privacy-breach-generic_on_obsolete_icon.patch: Refresh.
  * Fix Homepage URL.
  * Fix watch file.

  [ Mario Lang ]
  * Remove myself from Uploaders and update Homepage field.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:41:01 +0100

edbrowse (3.5.3-2) unstable; urgency=medium

  * install: Include edbrowse-js too for JavaScript support (Closes: #788874)
  * watch: Generalize URL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Jun 2015 22:19:32 +0200

edbrowse (3.5.3-1) unstable; urgency=medium

  * Team upload to unstable
  * New upstream
    - Update date in d/copyright
  * Update manpage (Closes: #570054)

 -- Paul Gevers <elbrus@debian.org>  Fri, 01 May 2015 13:08:19 +0200

edbrowse (3.5.2-1) experimental; urgency=medium

  * Team upload

  [ Jean-Philippe MENGUAL ]
  * Updated from upstream.

  [ Samuel Thibault ]
  * Remove Kapil from uploaders. (Closes: #738477)

  [ Paul Gevers ]
  * Add upstream signature to watch file
  * Add patch to strip non-existing off-site icon from help documentation
    (thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Sun, 14 Dec 2014 14:10:50 +0100

edbrowse (3.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Jean-Philippe MENGUAL ]
  * Upstream update.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.6 (no changes).
  * control: Add libncurses5-dev Build-Depends.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sun, 28 Sep 2014 22:41:21 +0200

edbrowse (3.4.10+201404271310-1) unstable; urgency=medium

  * Updated to a snapshot release to test the js fix. (Closes: #723114)

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sat, 23 Aug 2014 00:34:50 +0200

edbrowse (3.4.10-1) unstable; urgency=low

  [ Jean-Philippe Mengual ]
  * debian/control: fixed URL for svn
  * Make Debian-a11y team as maintainer
  * Remove useless CPPFLAGS mangling.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/hurd: Fix FTBFS on hurd-i386.
  * rules: Define SYSBSD on kfreebsd & hurd to fetch termios.h instead of
    termio.h
  * patches/termio: Fix FTBFS on kfreebsd & hurd.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 00:50:24 +0200

edbrowse (3.4.9-1) unstable; urgency=low

  [ Sergey Romanov ]
  * Local build.
  * New upstream version (3.4.9).
  * Fix debian/watch regex to ignore development snapshots.
  * Revert to using SpiderMonkey 1.8.5 to fix FTBFS. (Closes: #707346)
    - debian/control: Depend on libmozjs185-dev instead of libmozjs-dev.
    - debian/rules: Drop path changes to libmozjs.
  * Update to debhelper 9.
    - debian/compat: bump to 9.
    - debian/control: Build-Depend on debhelper (>= 9).
    - debian/rules:
      o  Drop DEB_BUILD_HARDENING (handled by debhelper 9).
      o  Drop override_dh_installchangelogs (handled by debhelper 8).
  * Standards-Version 3.9.4:
    - debian/control: Bump Standards-Version.
    - debian/copyright: use format 1.0.
    - debian/lintian-overrides: upstream uses versionless GPL.
  * debian/control:
    - Canonicalize the Vcs field.
    - Drop versions from Build-Depends (satisfied by versions in squeeze).
    - Fold the Uploaders field.
  * debian/rules:
    - Stop patching man page (not needed anymore).
    - Simplify dh_auto_build call (as result of the libmozjs change above).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 May 2013 01:10:14 +0200

edbrowse (3.4.8-2) unstable; urgency=low

  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 23:45:27 +0200

edbrowse (3.4.8-1) unstable; urgency=low

  * New upstream version (3.4.8).
  * patches: removed

 -- Jean-Philippe Mengual <texou@accelibreinfo.eu>  Sun, 06 Nov 2011 18:30:02 +0200

edbrowse (3.4.7-1) unstable; urgency=low

  [ Jean-Philippe Mengual ]
  * New maintainer (Closes: #638297)
  * New upstream version (3.4.7). Closes: #598162, #631027, #506613
  * watch: Update.
  * copyright: Update.
  * compat: bump to 5.
  * control:
    - Updated the priority from optional to extra
    - Bump Standards-Version.
    - Change build-depends, so that it suits with the requirements of the new
    release.
    - Updated the dependencies
    - Updated the Homepage to suit with the new location of the project.
    - Updated the Description of the package.
  * rules: Rewrite using dh.
  * manpages: Install manpage.
  * source/format: Switch to quilt.
  * patches/makefile.patch: Add clean target.
  * patches/messages.patch: Fix typo.

  [ Samuel Thibault ]
  * Use libmozjs-dev's JavaScript support.
    - debian/control: Depend on libmozjs-dev instead of iceape-dev.
    - debian/rules: Fix paths to libmozjs.
    - debian/patches/libmozjs.patch: Fix upstream code to newer libmozjs API.


 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Oct 2011 02:42:53 +0200

edbrowse (3.4.1-1) unstable; urgency=low

  * New upstream version (3.4.1).
  * debian/rules:
    - add "touch build-stamp" to build-stamp target.
    - modify clean target to use clean target in src/makefile.
    - remove debian/edbrowse.1 in clean target.
    - added "-lcurl" to linker flags.
  * debian/control:
    - added libcurl4-openssl-dev to Build-Depends
    - Standards Version 3.8.0. No changes required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sun, 01 Mar 2009 16:55:12 +0530

edbrowse (3.3.4-1) unstable; urgency=low

  * New upstream version (3.3.4).
   - Convert between iso8859-1 and utf-8 on the fly.
   - Support reading of pdf using pdftohtml.
   - French translation of html documentation.
   - Old html documentation renamed to usersguide.
   - Additional documentation on philosophy.
  * debian/control:
   - Changed homepage to sourcefource site.
   - Moved homepage from description to its own field.
   - Added "poppler-utils | xpdf-utils" to Recommends.
   - Added "www-browser", "mail-reader" and "editor" to Provides.
   - Removed "XS-" from Vcs-Svn tag.
   - Standards-Version: 3.7.3
  * debian/docs: Added new documentation files
    from "doc/" subdirectory.
  * debian/watch: Updated to use sourceforge site.
  * debian/edbrowse.doc-base:
    - Changed name of upstream provided html documentation from
      "ebdoc.html" to "usersguide.html".
    - Changed section from "net" to "Network/Web Browsing".
  * debian/install: Compiled binary is now in "src/".

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 09 Apr 2008 18:55:23 +0530

edbrowse (3.3.1-1) unstable; urgency=low

  * New upstream version (3.3.1).
    - Messages have been internationalised.
    - Supports LANG environment variable.
    - Includes man page.
  * Incorporate upstream man page:
    - debian/rules: Add rule to install upstream man page.
    - debian/edbrowse.1: Not required. Removed.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed,  5 Dec 2007 10:39:04 +0530

edbrowse (3.2.1-2) unstable; urgency=low

  * debian/edbrowse.1:
    - Corrected author's address.
    - Put sourceforge as the upstream web address.
  * debian/watch: Added URL to track upstream versions.
  * debian/control: Added XS-Vcs-Svn tag.
  * debian/compat: Added this file instead of DH_COMPAT line in
    debian/rules.
  * debian/rules:
    - Commented out DH_COMPAT line
    - Added definition of LFLAGS to prevent stripping of compiled
      binary if "nostrip" is defined. Closes: #436780.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu,  9 Aug 2007 06:53:42 +0530

edbrowse (3.2.1-1) unstable; urgency=low

  * New upstream version (3.2.1). Closes: #421451.
    - can fetch and execute a local javascript file
      if required by local html file.
    - provide COPYING and CHANGES files.
  * debian/rules:
    - add CHANGES to dh_installchangelogs line.
    - add dh_installman entry to install the man page.
  * debian/copyright: updated to include the COPYING file.
  * debian/edbrowse.1: added a basic man page.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Wed,  9 May 2007 07:33:04 +0530

edbrowse (3.1.2-1) unstable; urgency=low

  * New upstream version (3.1.2). Closes: #306486.
    - programs now written in C
    - support for javascript.
  * debian/control:
    - added Kapil Hari Paranjape to Uploaders.
    - Build-depends on "libssl-dev", "libmozjs-dev", "libpcre3-dev".
    - Standards-Version to 3.7.2. No changes required.
  * debian/rules:
    - add "noopt" feature.
    - set CFLAGS and LIBS.
    - Put $(MAKE) into the build rules.
  * debian/copyright: Edited to add the current copyright which
    is GPL with the exception for linking with OpenSSL.
  * debian/docs: added "README".
  * debian/examples: added "jsrt".

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Fri, 20 Oct 2006 10:47:30 +0530

edbrowse (1.5.17-2) unstable; urgency=low

  * debian/control:
    - Use Build-Depends-Indep and correctly depend on debhelper >= 4.
    - Update Stnadards-Version to 3.6.1.
  * debian/copyright: Fix dh_make boilerplate.

 -- Mario Lang <mlang@debian.org>  Sat,  1 Nov 2003 11:33:01 +0100

edbrowse (1.5.17-1) unstable; urgency=low

  * New upstream version
    - Fixes DFSG-incompatible copyright notice (Closes: Bug#211062).

 -- Mario Lang <mlang@debian.org>  Tue, 16 Sep 2003 15:39:02 +0200

edbrowse (1.5.0-1) unstable; urgency=low

  * Initial Release.

 -- Mario Lang <mlang@debian.org>  Sat, 16 Nov 2002 10:49:41 +0100
